Bug 1390545 - [RFE] hammer sync-plan info should show associated products
Summary: [RFE] hammer sync-plan info should show associated products
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Sync Plans
Version: 6.2.3
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-01 11:11 UTC by daniel
Modified: 2020-09-10 09:54 UTC (History)
11 users (show)

Fixed In Version: rubygem-hammer_cli_katello-0.11.3.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:36:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17155 0 None None None 2016-11-01 11:13:52 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description daniel 2016-11-01 11:11:05 UTC
Description of problem:
When creating sync plans via hammer one cannot see which products are associated with the sync plan

Version-Release number of selected component (if applicable): current 
tfm-rubygem-hammer_cli-0.5.1.11-4.el7sat.noarch
tfm-rubygem-hammer_cli_foreman-0.5.1.9-1.el7sat.noarch

How reproducible:
create sync plan and associate multiple products. When running `hammer sync-plan info --<id|name> <number|name>` one cannot see which products are assigned to that sync plan


Steps to Reproduce:
1. create Sync plan, e.g.:
hammer sync-plan create --name 'SyncPlan Capsule' --enabled=true --interval daily --sync-date "2016-11-01 20:00:00"

2. attach products
  # hammer product set-sync-plan --name 'Red Hat Enterprise Linux Server' --sync-plan 'SyncPlan Capsule'
  # hammer product set-sync-plan --name 'Red Hat Software Collections for RHEL Server' --sync-plan 'SyncPlan Capsule'
  # hammer product set-sync-plan --name 'Red Hat Satellite Capsule' --sync-plan 'SyncPlan Capsule'

3. display info about sync plan
# hammer sync-plan info --name 'SyncPlan Capsule'
ID:          1
Name:        SyncPlan Capsule
Start Date:  2016/11/01 20:00:00
Interval:    daily
Enabled:     yes
Description: 
Created at:  2016/11/01 10:51:11
Updated at:  2016/11/01 10:51:11



Actual results:
associated products are not displayed

Expected results:
display associated products

Additional info:

Comment 2 Bryan Kearney 2016-11-01 12:17:52 UTC
Upstream bug component is Remote Execution

Comment 3 pm-sat@redhat.com 2017-02-01 19:18:11 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 7 Peter Ondrejka 2017-11-15 18:18:59 UTC
Looking at Satellite 6.3 snap 24, product info still not around:

]# hammer sync-plan info --id 1
ID:          1
Name:        custom
Start Date:  2017/11/15 17:30:00
Interval:    daily
Enabled:     yes
Description: 
Created at:  2017/11/15 17:30:13
Updated at:  2017/11/15 17:30:13

Comment 8 Peter Ondrejka 2017-11-27 10:17:39 UTC
Verified on Sat 6.3 snap 26:

~]# hammer sync-plan info --id 1
ID:          1
Name:        syn
Start Date:  2017/11/27 10:15:00
Interval:    weekly
Enabled:     yes
Description: 
Created at:  2017/11/27 10:15:12
Updated at:  2017/11/27 10:15:12
Products:    
 1) ID:   15
    Name: Red Hat Enterprise Linux Server

Comment 12 errata-xmlrpc 2018-02-21 12:36:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.